#include <applicat.h>
#include <mask.h>
#include <progind.h>
#include <urldefid.h>
#include <saldi.h>
#include <partite.h>
#include <scadenze.h> 

#include "sc1200.h"
    
class TCreatepart_app : public TApplication
{ 
protected:
  virtual bool create();
  virtual bool destroy();
  virtual bool menu(MENU_TAG m);  
  
public:
  TCreatepart_app() {};  
};

bool TCreatepart_app::create()
{
  TApplication::create();
  dispatch_e_menu(BAR_ITEM(1));
  return TRUE;
}

bool TCreatepart_app::destroy()
{
  return TApplication::destroy();
}

bool TCreatepart_app::menu(MENU_TAG)
{ 
  TMask m("sc1200a");
	TRelation saldi(LF_SALDI);
	TLocalisamfile conti(LF_CONTI);
	
	saldi.zero(); 
  while (m.run() != K_QUIT) 
  {                 
  	const int anno = m.get_int(F_ANNO);
	                        
  	saldi.put(SLD_ANNO, anno);
  	TCursor cur(&saldi, "", 1, saldi.curr(), saldi.curr());      
	  const int items = cur.items();
	  long npart = 0L;
	  
  	if (items > 0)
  	{
  		for (cur = 0 ; cur.pos() < items; cur++)
  		{ 
  			if (is_clifo(cur.curr().get_int(SLD_GRUPPO), cur.curr().get_int(SLD_CONTO))
  			{
  				TSaldo s(????);
  				Timporto saldo(s.saldo??);
  				
  				if (saldo != ZERO)
  				{
  				}
  			}
  		}
  	} 
  	else 
  		message_box("Nessun saldo presente per l'anno %d", anno);
	
  return FALSE;
}


int sc1200(int argc, char** argv)
{
  TCreatepart_app a;
  a.run(argc, argv, "Apertura scadenze da saldi contabili");
  return 0;
}
